Changeset 1376:159b2ee03735 in orange-bioinformatics


Ignore:
Timestamp:
04/19/11 14:31:49 (3 years ago)
Author:
markotoplak
Branch:
default
Convert:
70ce7002cc9efd6b641b7c5cd4bc25fc316008d3
Message:

Import error reporting for PIPA. Now it reports wrong authentications as exceptions.

Files:
2 edited

Legend:

Unmodified
Added
Removed
  • obiDicty.py

    r1371 r1376  
    176176            print "tryN", tryN 
    177177 
    178         if tryN == 0: 
    179             return None 
    180         try: 
    181             if data == None: 
    182                 return httpGet(self.address + request) 
    183             else: 
    184                 return httpGet(self.address + request, data=urllib.urlencode(data)) 
    185         except IOError: 
    186             return self.raw(request, data=data, tryN=tryN-1) 
     178        def try_down(): 
     179            try: 
     180                if data == None: 
     181                    return httpGet(self.address + request) 
     182                else: 
     183                    return httpGet(self.address + request, data=urllib.urlencode(data)) 
     184            except urllib2.HTTPError, e: 
     185                if e.code == 403: 
     186                    raise AuthenticationError() 
     187                else: 
     188                    raise e 
     189 
     190        if tryN > 1: 
     191            try: 
     192                try_down() 
     193            except IOError: 
     194                return self.raw(request, data=data, tryN=tryN-1) 
     195        else: 
     196            try_down() 
    187197 
    188198    def get(self, request, data=None, tryN=3): 
     
    208218            a = a[:-1] 
    209219        return a 
    210  
    211220 
    212221def _test(): 
  • widgets/OWPIPA.py

    r1371 r1376  
    525525                self.dbc = None 
    526526            except Exception, ex: 
     527                print "Error when contacting the PIPA database", ex 
     528                import traceback 
     529                print traceback.format_exc() 
    527530                try: #mable cached? 
    528531                    self.dbc.annotations() 
Note: See TracChangeset for help on using the changeset viewer.